
Redmine - Defect #30070

Unable to update assignee with rdm-mailhandler.rb

2018-12-01 14:36 - okifumi mita

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.4.6

Description

Issue Summary

I try to update ticket status by sending email.

But assignee cannot be updated.

So, I commented out  following line from https://github.com/redmine/redmine/blob/master/app/models/mail_handler.rb.

# ignore CLI-supplied defaults for new issues

    handler_options[:issue].clear

then the assignee become editable.    

Request

Delete the line from REDMINE_HOME/app/models/mail_handler.rb.

Environment

Environment:

  Redmine version                3.4.6.stable

  Ruby version                   2.4.5-p335 (2018-10-18) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.5

  Mercurial                      4.0

  Bazaar                         2.8.0

  Git                            2.11.0

  Filesystem                     

Redmine plugins:

  no plugin installed

 

Reproduce Procedure

1. Install Redmine 3.4.6.stable by using Docker (https://hub.docker.com/_/redmine/)

2. Create a ticket and send following email.

cat testmail 

Return-Path: <root@mydomain.xyz>

X-Original-To: root@localhost

Delivered-To: root@localhost.mydomain.xyz

Received: by mail.mydomain.xyz (Postfix, from userid 0)

    id 126E23353D91; Sun, 25 Nov 2018 14:31:32 +0900 (JST)

Date: Sun, 25 Nov 2018 14:31:32 +0900

To: root@localhost.mydomain.xyz

Subject: Ticket[#1]
User-Agent: Heirloom mailx 12.5 7/5/10

MIME-Version: 1.0

Content-Type: text/plain; charset=us-ascii

Content-Transfer-Encoding: 7bit

Message-Id: <20181125053133.126E23353D91@mail.mydomain.xyz>

From: root@mydomain.xyz (root)

Test Content

3. execute following commands

REDMINE_URL=http://192.168.10.6:8080

REDMINE_API_KEY=AxUWiDdhW06IjYpTpvAM

PROJECT=myproject

cat testmail | rdm-mailhandler.rb --url ${REDMINE_URL} --key ${REDMINE_API_KEY} --project ${PR

OJECT} --unknown-user create --allow-override all --assigned-to admin

4. confirm update of the ticket

updateAssignee.png

Thanks

Related issues:

Related to Redmine - Defect #7195: Apply CLI-supplied defaults for incoming m... Closed 2010-12-29

History

#1 - 2018-12-12 23:57 - Go MAEDA

- Description updated

#2 - 2018-12-13 00:18 - Go MAEDA

- Related to Defect #7195: Apply CLI-supplied defaults for incoming mail only to new issues not replies added

#3 - 2018-12-13 00:22 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Issue attributes in a command line are ignored by design when updating an existing issue. Please see #7195 and 

source:tags/4.0.0/app/models/mail_handler.rb#L239.
